Subject: [netext] New draft draft-petrescu-netext-pmip-nemo-00

From: Alexandru Petrescu <[email-masked]>
Date: Mon, 05 Mar 2012 22:24:29 +0100

Hello netext participants,

We have submitted a short Internet Draft:

http://tools.ietf.org/html/draft-petrescu-netext-pmip-nemo-00

It treats of moving networks within a PMIPv6 domain.  It offers two
alternative mechanisms:

- HNP Division - PMIPv6 is not modified, HNP is divided into two or
   more MNPs.
- Enhancements to PMIPv6 and DHCPv6-PD - Q bit, DHCP allocates MNP
   whereas PMIP is just informed (DUID=MNID).

We are interested in discussion about this draft.  The text is
relatively brief now but we can offer clarification depending on interest.

Yours,

Alex

---

From: Sri Gundavelli <[email-masked]>
Date: Mon, 05 Mar 2012 16:35:49 -0800

Hi Alex:

Question.
How is this draft different from the WG document on PD ?

Regards
Sri

On 3/5/12 1:24 PM, "Alexandru Petrescu" <[email-masked]>
wrote:

> _______________________________________________
> netext mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/netext

---

From: Alexandru Petrescu <[email-masked]>
Date: Tue, 06 Mar 2012 21:43:03 +0100

Sri,

Thank you for the question.  There are two basic differences:

The WG document on PD assumes that PMIP allocates the prefix, whereas
this draft assumes DHCP allocates  it.

The WG document does not describe a method of dividing the HNP in order
to obtain an MNP, whereas this draft does.

What do you think?

Alex

Le 06/03/2012 01:35, Sri Gundavelli a écrit :
> Hi Alex:
>
> Question. How is this draft different from the WG document on PD ?
>
> Regards Sri
>
>
>
>
> On 3/5/12 1:24 PM, "Alexandru
> Petrescu"<[email-masked]> wrote:
>
>> It treats of moving networks within a PMIPv6 domain.  It offers
>> two alternative mechanisms:
>>
>> - HNP Division - PMIPv6 is not modified, HNP is divided into two
>> or more MNPs. - Enhancements to PMIPv6 and DHCPv6-PD - Q bit, DHCP
>> allocates MNP whereas PMIP is just informed (DUID=MNID).
>>
>> Alex _______________________________________________ netext mailing
>> list [email-masked] https://www.ietf.org/mailman/listinfo/netext
>
>

---

From: Sri Gundavelli <[email-masked]>
Date: Tue, 06 Mar 2012 17:18:27 -0800

Alex:

- DHCP PD is the protocol interface that we have with the mobile router.

- The allocate prefix, if done by DHCP server, or LMA, needs to be managed
in the BCE, as there is routing state and mobility associated with that. So,
PMIP does allocate the prefix in some sense.

- If we look at MNP's as a set of prefixes, and HNP's as a set of prefixes,
if they are aggregatable to a single larger prefix, or if they belong to a
non-contiguous space is more about assignment policy.

So, may be its the same.

Regards
Sri

---

From: Alexandru Petrescu <[email-masked]>
Date: Fri, 09 Mar 2012 19:32:19 +0100

Sri,

> - DHCP PD is the protocol interface that we have with the mobile

It is good that DHCP PD is the protocol used to allocate prefixes.

> - The allocate prefix, if done by DHCP server, or LMA,

I believe draft-ietf-netext-pd-pmip makes PMIP allocate the prefix (and
not DHCP), because draft says:
> If the MAG does not know the delegated prefix, then mobile network
> prefix in the MNP option MUST be set to unspecified address "::" and
> prefix length to 0.  The LMA either assigns the MR a new delegated
> prefix or returns an existing one.

Remark it does not say what happens whether the MAG _does_ know the
delegated prefix, or whether it learned it somehow.

> needs to be managed in the BCE, as there is routing state and
> mobility associated with that. So, PMIP does allocate the prefix in
> some sense.

In some sense.

Allocating a prefix is a different operation than setting up routing
state and BCE associated with it.  Allocating involves managing a pool
of available prefixes such that same MNP is allocated uniquely to a
unique MR.  Setting up routing state is about inserting data in a table.

Basically, (1) the DHCP Server can allocate the prefix and inform the
LMA to update routing, or (2) LMA can allocate prefix, set up routing,
and inform DHCP Server about that prefix (I don't know why would it do it).

> - If we look at MNP's as a set of prefixes, and HNP's as a set of
> prefixes, if they are aggregatable to a single larger prefix, or if
> they belong to a non-contiguous space is more about assignment
> policy.

It's not assignment policy.

It is possible to derive an MNP by dividing the HNP that is allocated by
PMIP and thus not demand the use of DHCPv6 - just do 5213 PMIP and
modify a little the MR.  This is what a part of
draft-petrescu-netext-pmip-nemmo proposes, and draft-ietf-netext-pmip-pd
doesn't.

It is also possible to have completely different prefixes HNP and MNP
(leftmost bit flipped) and this is what allocation with DHCP PD allows
(also proposed by draft-petrescu-pmip-nemo and not allowed by
draft-ietf-netext-pmip-pd).

> So, may be its the same.

In a sense, yes, like when looking at from a distance.

And let us look more in detail.

Alex

>
>
> Regards Sri
>
>
>
> On 3/6/12 12:43 PM, "Alexandru
>> The WG document on PD assumes that PMIP allocates the prefix,
>> whereas this draft assumes DHCP allocates  it.
>>
>> The WG document does not describe a method of dividing the HNP in
>> order to obtain an MNP, whereas this draft does.
>>
>> What do you think?
>>
>> Alex
>>
>>>> It treats of moving networks within a PMIPv6 domain.  It
>>>> offers two alternative mechanisms:
>>>>
>>>> - HNP Division - PMIPv6 is not modified, HNP is divided into
>>>> two or more MNPs. - Enhancements to PMIPv6 and DHCPv6-PD - Q
>>>> bit, DHCP allocates MNP whereas PMIP is just informed
>>>> (DUID=MNID).
>>>>
>>>> Alex _______________________________________________ netext
>>>> mailing list [email-masked]